Skip to main content
`Ctrl`+`K`

# calculate_bin_edges

astropy.stats.calculate_bin_edges(a, bins=10, range=None, weights=None)

  Calculate histogram bin edges like `numpy.histogram_bin_edges`.

  Parameters:
    a numpy:array_like

      Input data. The bin edges are calculated over the flattened array.

    bins `python:int`, `python:list`, or `python:str`, optional

      If `bins` is an int, it is the number of bins. If it is a list it is taken to be the bin edges. If it is a string, it must be one of ‘blocks’, ‘knuth’, ‘scott’ or ‘freedman’. See `histogram` for a description of each method.

    range `python:tuple` or `python:None`, optional

      The minimum and maximum range for the histogram. If not specified, it will be (a.min(), a.max()). However, if bins is a list it is returned unmodified regardless of the range argument.

    weights numpy:array_like, optional

      An array the same shape as `a`. If given, the histogram accumulates the value of the weight corresponding to `a` instead of returning the count of values. This argument does not affect determination of bin edges, though they may be used in the future as new methods are added.

  Returns:
    bins `ndarray`

      Histogram bin edges